<style include="diagnostics-shared">
  .learn-more-button {
    background-color: rgba(var(--google-blue-600), .06);
    border-radius: 5px;
    height: 40px;
    margin-top: 12px;
    padding: 6px 8px;
  }

  #learnMoreText {
    color: var(--google-blue-600);
    cursor: pointer;
  }

  .result-list {
    border-radius: 8px;
    margin: 8px 0;
  }

  .routine-container {
    display: flex;
    justify-content: space-between;
  }

  .routine-section-container {
    display: flex;
    flex-direction: column;
  }

  .routine-status-container {
    display: flex;
    flex-direction: column;
  }

  #testStatusBadge {
    margin-bottom: 4px;
  }

  #testStatusText {
    @apply --diagnostics-routine-name-font;
    color: var(--google-grey-700);
  }

  #toggleReportButton {
    margin-right: 8px;
  }
</style>

<div class="routine-section-container">
  <div id="routineSection" class="routine-container">
    <div class="routine-status-container">
      <text-badge id="testStatusBadge"
          badge-type="[[getBadgeType_(executionStatus_)]]"
          hidden="[[isStatusHidden_(executionStatus_)]]"
          value="[[getBadgeText_(executionStatus_)]]">
      </text-badge>
      <span id="testStatusText"
          hidden$="[[isStatusHidden_(executionStatus_)]]">
        [[getTextStatus_(executionStatus_, currentTestName_)]]
      </span>
      <span id="learnMoreText"
          hidden$="[[isLearnMoreHidden_(executionStatus_)]]"
          on-click="onLearnMoreClicked_">
        [[i18n('learnMoreShort')]]
      </span>
    </div>
    <div>
      <cr-button id="toggleReportButton" on-click="onToggleReportClicked_"
          hidden="[[isResultButtonHidden_(executionStatus_)]]">
        [[getReportToggleButtonText_(opened)]]
      </cr-button>
      <cr-button id="runTestsButton" on-click="onRunTestsClicked_"
          disabled="[[isTestRunning]]">
          [[runTestsButtonText]]
      </cr-button>
    </div>
  </div>
  <iron-collapse id="collapse" opened="{{opened}}">
    <div class="result-list">
      <routine-result-list id="resultList"></routine-result-list>
    </div>
    <cr-button id="learnMoreButton" class="learn-more-button"
        on-click="onLearnMoreClicked_">
        [[i18n('learnMore')]]
    </cr-button>
  </iron-collapse>
</div>
